Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.wml
Interface WMLInputElement

All Superinterfaces:
  Element, Node, WMLElement

All Known Implementing Classes:
  WMLInputElementImpl

Deprecated. 9.2.0.0 Replaced by org.apache.wml.WMLInputElement.

    public interface WMLInputElement

extends WMLElement

The interface is modeled after DOM1 Spec for HTML from W3C. The DTD used in this DOM model is from http://www.wapforum.org/DTD/wml_1.1.xml

'input' element specifies a text entry object. (Section 11.6.3, WAP WML Version 16-Jun-1999)

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`boolean` | `getEmptyOk()` Deprecated.
`String` | `getFormat()` Deprecated.
`int` | `getMaxLength()` Deprecated.
`String` | `getName()` Deprecated.
`int` | `getSize()` Deprecated.
`int` | `getTabIndex()` Deprecated.
`String` | `getTitle()` Deprecated.
`String` | `getType()` Deprecated.
`String` | `getValue()` Deprecated.
`String` | `getXmlLang()` Deprecated.
`void` | `setEmptyOk(boolean newValue)` Deprecated. 'emptyok' specifies whether a empty input is allowed when a non-empty 'format' is specified.
`void` | `setFormat(String newValue)` Deprecated. 'format' specifies the input mask for user input.
`void` | `setMaxLength(int newValue)` Deprecated. 'maxlength' specifies the maximum number of characters to be enter.
`void` | `setName(String newValue)` Deprecated. 'name' specifies the name of a variable after the user enters the text.
`void` | `setSize(int newValue)` Deprecated. 'size' specifies the width of the input in characters (Section 11.6.3, WAP WML Version 16-Jun-1999)
`void` | `setTabIndex(int newValue)` Deprecated. 'tabindex' specifies the tabbing position of the element (Section 11.6.1, WAP WML Version 16-Jun-1999)
`void` | `setTitle(String newValue)` Deprecated. 'title' specifies a title for this element (Section 11.6.3, WAP WML Version 16-Jun-1999)
`void` | `setType(String newValue)` Deprecated. 'type' specifies the type of text input area.
`void` | `setValue(String newValue)` Deprecated. 'value' specifies the default value of the variable in 'name' attribute (Section 11.6.3, WAP WML Version 16-Jun-1999)
`void` | `setXmlLang(String newValue)` Deprecated. 'xml:lang' specifics the natural or formal language in which the document is written.

Methods inherited from interface weblogic.apache.wml.WMLElement
`getClassName, getId, setClassName, setId`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Method Detail

### setName

    void setName(String newValue)

  Deprecated.
  'name' specifies the name of a variable after the user enters the text. (Section 11.6.3, WAP WML Version 16-Jun-1999)

### getName

    String getName()

  Deprecated.

### setValue

    void setValue(String newValue)

  Deprecated.
  'value' specifies the default value of the variable in 'name' attribute (Section 11.6.3, WAP WML Version 16-Jun-1999)

### getValue

    String getValue()

  Deprecated.

### setType

    void setType(String newValue)

  Deprecated.
  'type' specifies the type of text input area. Two values are allowed: 'text' and 'password' and default is 'text' (Section 11.6.3, WAP WML Version 16-Jun-1999)

### getType

    String getType()

  Deprecated.

### setFormat

    void setFormat(String newValue)

  Deprecated.
  'format' specifies the input mask for user input. (Section 11.6.3, WAP WML Version 16-Jun-1999)

### getFormat

    String getFormat()

  Deprecated.

### setEmptyOk

    void setEmptyOk(boolean newValue)

  Deprecated.
  'emptyok' specifies whether a empty input is allowed when a non-empty 'format' is specified. Default to be 'false' (Section 11.6.3, WAP WML Version 16-Jun-1999)

### getEmptyOk

    boolean getEmptyOk()

  Deprecated.

### setSize

    void setSize(int newValue)

  Deprecated.
  'size' specifies the width of the input in characters (Section 11.6.3, WAP WML Version 16-Jun-1999)

### getSize

    int getSize()

  Deprecated.

### setMaxLength

    void setMaxLength(int newValue)

  Deprecated.
  'maxlength' specifies the maximum number of characters to be enter. (Section 11.6.3, WAP WML Version 16-Jun-1999)

### getMaxLength

    int getMaxLength()

  Deprecated.

### setTitle

    void setTitle(String newValue)

  Deprecated.
  'title' specifies a title for this element (Section 11.6.3, WAP WML Version 16-Jun-1999)

### getTitle

    String getTitle()

  Deprecated.

### setTabIndex

    void setTabIndex(int newValue)

  Deprecated.
  'tabindex' specifies the tabbing position of the element (Section 11.6.1, WAP WML Version 16-Jun-1999)

### getTabIndex

    int getTabIndex()

  Deprecated.

### setXmlLang

    void setXmlLang(String newValue)

  Deprecated.
  'xml:lang' specifics the natural or formal language in which the document is written. (Section 8.8, WAP WML Version 16-Jun-1999)

### getXmlLang

    String getXmlLang()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD